﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

abstract class Vehicle {
  public abstract void IncreaseSpeed();
}

class Tank : Vehicle {
  public override void IncreaseSpeed() {
    Debug.Log("Rumble Rumble");
  }
}

class Car : Vehicle {
  public override void IncreaseSpeed() {
    Debug.Log("Vroom Vroom");
  }
}


public class Vehicles : MonoBehaviour {

  void OnDisable() {
    Vehicle[] vehicles = new Vehicle[] { new Tank(), new Car() };
    foreach (Vehicle vehicle in vehicles) {
      vehicle.IncreaseSpeed();
    }

  }

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
